query AchNotificationsOfChange($input: AchNotificationOfChangeInput!) {
achNotificationsOfChange(input: $input) {
items {
acceptor {
businessName
id
name
reference
}
accountNumber
accountNumberUpdated
accountType
accountTypeUpdated
activityDate
changeReason
changeReasonCode
id
organization {
achNotificationsOfChange
businessName
capabilities
id
legalName
name
phoneNumber
}
paymentId
routingNumber
routingNumberUpdated
transactionActivityDate
transactionAmount
transactionCurrency
transactionDateTime
transactionId
transactionReference
transactionType
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"activityDate": "example",
"paymentId": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query AchNotificationsOfChange($input: AchNotificationOfChangeInput!) {\n achNotificationsOfChange(input: $input) {\n items {\n acceptor {\n businessName\n id\n name\n reference\n }\n accountNumber\n accountNumberUpdated\n accountType\n accountTypeUpdated\n activityDate\n changeReason\n changeReasonCode\n id\n organization {\n achNotificationsOfChange\n businessName\n capabilities\n id\n legalName\n name\n phoneNumber\n }\n paymentId\n routingNumber\n routingNumberUpdated\n transactionActivityDate\n transactionAmount\n transactionCurrency\n transactionDateTime\n transactionId\n transactionReference\n transactionType\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"activityDate": "example",
"paymentId": "example"
}
}
}
}'
{
"data": {
"achNotificationsOfChange": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"accountNumber": "example",
"accountNumberUpdated": "example",
"accountType": "CHECKING",
"accountTypeUpdated": "CHECKING",
"activityDate": "2026-01-15",
"changeReason": "example",
"changeReasonCode": "C01",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"routingNumber": "example",
"routingNumberUpdated": "example",
"transactionActivityDate": "2026-01-15",
"transactionAmount": 0,
"transactionCurrency": "example",
"transactionDateTime": "2026-01-15T14:30:00Z",
"transactionId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"transactionReference": "example",
"transactionType": "AUTHORIZATION"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Reporting
achNotificationsOfChange
A Notification of Change (NOC), notifies the sender of an ACH payment that information related to the customer’s bank account was inaccurate or outdated, and provides the updated information that needs to be corrected before another payment can be sent from (or to) the account.
query AchNotificationsOfChange($input: AchNotificationOfChangeInput!) {
achNotificationsOfChange(input: $input) {
items {
acceptor {
businessName
id
name
reference
}
accountNumber
accountNumberUpdated
accountType
accountTypeUpdated
activityDate
changeReason
changeReasonCode
id
organization {
achNotificationsOfChange
businessName
capabilities
id
legalName
name
phoneNumber
}
paymentId
routingNumber
routingNumberUpdated
transactionActivityDate
transactionAmount
transactionCurrency
transactionDateTime
transactionId
transactionReference
transactionType
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"activityDate": "example",
"paymentId": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query AchNotificationsOfChange($input: AchNotificationOfChangeInput!) {\n achNotificationsOfChange(input: $input) {\n items {\n acceptor {\n businessName\n id\n name\n reference\n }\n accountNumber\n accountNumberUpdated\n accountType\n accountTypeUpdated\n activityDate\n changeReason\n changeReasonCode\n id\n organization {\n achNotificationsOfChange\n businessName\n capabilities\n id\n legalName\n name\n phoneNumber\n }\n paymentId\n routingNumber\n routingNumberUpdated\n transactionActivityDate\n transactionAmount\n transactionCurrency\n transactionDateTime\n transactionId\n transactionReference\n transactionType\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"activityDate": "example",
"paymentId": "example"
}
}
}
}'
{
"data": {
"achNotificationsOfChange": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"accountNumber": "example",
"accountNumberUpdated": "example",
"accountType": "CHECKING",
"accountTypeUpdated": "CHECKING",
"activityDate": "2026-01-15",
"changeReason": "example",
"changeReasonCode": "C01",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"routingNumber": "example",
"routingNumberUpdated": "example",
"transactionActivityDate": "2026-01-15",
"transactionAmount": 0,
"transactionCurrency": "example",
"transactionDateTime": "2026-01-15T14:30:00Z",
"transactionId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"transactionReference": "example",
"transactionType": "AUTHORIZATION"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Query
Arguments
AchNotificationOfChangeInput!
required
Show child attributes
Show child attributes
PagingInput!
required
See PagingInput
AchNotificationOfChangeFilterInput!
required
Show child attributes
Show child attributes
DateRangeFilterInput
GuidFilterInput
See GuidFilterInput
Return type
AchNotificationOfChangeCollection
[AchNotificationOfChange!]!
required
Show child attributes
Show child attributes
String!
required
The original bank account number.
String
The updated bank account number.
BankAccountType!
required
The type of bank account, either Checking or Savings, specified on the original transaction.See BankAccountType
BankAccountType
The updated bank account type.See BankAccountType
Date!
required
The date the notification of change was received by Tesouro.
String!
required
A reader friendly description of the Change reason code.
AchNotificationOfChangeCodes!
required
A unique code signaling that information in a prior ACH entry needs updating.
Show Possible enum values
Show Possible enum values
enum
Incorrect bank account number
enum
Incorrect transit/routing number
enum
Incorrect transit/routing number and bank account number
enum
Bank account name change
enum
Incorrect payment code
enum
Incorrect bank account number and transit code
enum
Incorrect transit/routing number, bank account number and payment code
enum
Corrected foreign routing number
enum
Incorrect individual ID number
enum
Incorrect company name
enum
Incorrect company identification
enum
Incorrect company name and company ID
UUID!
required
A unique 36 character identifier created by Tesouro, and assigned to the specific change notification.
Organization
See Organization
UUID!
required
A unique 36 character identifier created by Tesouro and assigned to a group of transactions in the same payment request cohort. e.g., An authorization request, incremental authorization request, and the final capture would have the same paymentID.
String!
required
The original unique nine-digit number identifying the bank.
String
The updated routing number.
Date!
required
The date Tesouro recognized the transaction that triggered the notification of change.
Decimal!
required
The transaction amount submitted with the transaction request.
String!
required
The currency specified on the transaction request, in ISO 4217 alpha currency code format.
DateTime!
required
The date and time that Tesouro received the transaction request, in UTC. Formatted as 2024-03-27T02:40:00Z
UUID!
required
The unique 36 character identifier Tesouro assigned to the transaction that triggered the notification of change.
String!
required
The unique identifier assigned to the transaction by the acceptor (or partner) and included in the original transaction request sent to Tesouro.
TransactionType!
required
The type of transaction, either an ACH debit (sale) or ACH debit (refund).See TransactionType
query AchNotificationsOfChange($input: AchNotificationOfChangeInput!) {
achNotificationsOfChange(input: $input) {
items {
acceptor {
businessName
id
name
reference
}
accountNumber
accountNumberUpdated
accountType
accountTypeUpdated
activityDate
changeReason
changeReasonCode
id
organization {
achNotificationsOfChange
businessName
capabilities
id
legalName
name
phoneNumber
}
paymentId
routingNumber
routingNumberUpdated
transactionActivityDate
transactionAmount
transactionCurrency
transactionDateTime
transactionId
transactionReference
transactionType
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"activityDate": "example",
"paymentId": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query AchNotificationsOfChange($input: AchNotificationOfChangeInput!) {\n achNotificationsOfChange(input: $input) {\n items {\n acceptor {\n businessName\n id\n name\n reference\n }\n accountNumber\n accountNumberUpdated\n accountType\n accountTypeUpdated\n activityDate\n changeReason\n changeReasonCode\n id\n organization {\n achNotificationsOfChange\n businessName\n capabilities\n id\n legalName\n name\n phoneNumber\n }\n paymentId\n routingNumber\n routingNumberUpdated\n transactionActivityDate\n transactionAmount\n transactionCurrency\n transactionDateTime\n transactionId\n transactionReference\n transactionType\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"activityDate": "example",
"paymentId": "example"
}
}
}
}'
{
"data": {
"achNotificationsOfChange": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"accountNumber": "example",
"accountNumberUpdated": "example",
"accountType": "CHECKING",
"accountTypeUpdated": "CHECKING",
"activityDate": "2026-01-15",
"changeReason": "example",
"changeReasonCode": "C01",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"routingNumber": "example",
"routingNumberUpdated": "example",
"transactionActivityDate": "2026-01-15",
"transactionAmount": 0,
"transactionCurrency": "example",
"transactionDateTime": "2026-01-15T14:30:00Z",
"transactionId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"transactionReference": "example",
"transactionType": "AUTHORIZATION"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Was this page helpful?